USE [master]
GO
CREATE DATABASE [RECEITA];
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [receita].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [receita] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [receita] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [receita] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [receita] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [receita] SET ARITHABORT OFF 
GO
ALTER DATABASE [receita] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [receita] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [receita] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [receita] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [receita] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [receita] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [receita] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [receita] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [receita] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [receita] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [receita] SET  DISABLE_BROKER 
GO
ALTER DATABASE [receita] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [receita] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [receita] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [receita] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [receita] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [receita] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [receita] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [receita] SET  MULTI_USER 
GO
ALTER DATABASE [receita] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [receita] SET DB_CHAINING OFF 
GO
USE [receita]
GO
/****** Object:  Table [dbo].[IMAGENS]    Script Date: 06/08/2013 21:55:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[IMAGENS](
	[CD_RECEITA] [int] NULL,
	[IN_TIPO] [int] NULL,
	[NM_NOME] [nvarchar](100) NULL,
	[VL_PATH] [nvarchar](100) NULL,
	[IN_STATUS] [int] NULL,
	[CD_IMAGEM] [int] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[RECEITAS]    Script Date: 06/08/2013 21:55:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[RECEITAS](
	[CD_RECEITA] [int] IDENTITY(1,1) NOT NULL,
	[DT_CADASTRO] [datetime] NULL,
	[DT_RECEITA] [datetime] NULL,
	[NUM_CPF] [nvarchar](100) NULL,
	[NUM_CUPOM] [nvarchar](100) NULL,
	[NUM_AUTORIZA] [nvarchar](100) NULL,
	[IN_CONCEPCIONAL] [int] NULL,
	[CD_CLIENTE] [int] NULL,
	[IN_STATUS] [int] NULL,
	[CD_RECEITA_ORIGINAL] [int] NULL,
	[VL_OBSERVACAO] [nvarchar](255) NULL,
	[IN_AVULSO] [int] NULL
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[RECEITAS] ADD  CONSTRAINT [DF_RECEITAS_IN_AVULSO]  DEFAULT ((0)) FOR [IN_AVULSO]
GO

CREATE TABLE DOCUMENTOS([CODIGO] [int] NULL,[DESCRICAO] [nvarchar](100) NULL)
GO
INSERT INTO DOCUMENTOS VALUES(0	,'RECEITA');
GO
INSERT INTO DOCUMENTOS VALUES(1	,'CUPOM')
GO
INSERT INTO DOCUMENTOS VALUES(2	,'VERSO RECEITA')
GO
INSERT INTO DOCUMENTOS VALUES(3	,'PROCURACAO')
GO
INSERT INTO DOCUMENTOS VALUES(4	,'CERTIDAO NASCIMENTO')
GO
INSERT INTO DOCUMENTOS VALUES(5	,'CPF BENEFICIARIO')
GO
INSERT INTO DOCUMENTOS VALUES(6	,'CPF BENEFICIARIO LEGAL')
GO
INSERT INTO DOCUMENTOS VALUES(7	,'RG BENEFICIARIO')
GO
INSERT INTO DOCUMENTOS VALUES(8	,'RG BENEFICIARIO LEGAL')
GO
INSERT INTO DOCUMENTOS VALUES(9	,'RECEITA E CUPOM')
GO

CREATE TABLE [dbo].[AVISO](
	[CD_RECEITA] [int] NULL,
	[DT_AVISO] [datetime] NULL,
	[STATUS] [int] NULL,
	[OBS] [nvarchar](250) NULL
) ON [PRIMARY]

GO


USE [master]
GO
ALTER DATABASE [receita] SET  READ_WRITE 
GO

